/**
 * Function to toggle visibility of two elements.
 * The function assumes that one of the elements has an attribute "originalClassName" that
 * indicated which class to switch back to. 
*/
function toggleVisibility(element1Id, element2Id, hiddenClassName) {
	var element1 = document.getElementById(element1Id);
	var element2 = document.getElementById(element2Id);
	
	if (element1 != null && element2 != null) {
		if (element1.originalClassName == undefined && element2.originalClassName == undefined) {
			if (element1.getAttribute("originalClassName") != null) {
				element1.originalClassName = element1.getAttribute("originalClassName");
			}
			if (element2.getAttribute("originalClassName") != null) {
				element2.originalClassName = element2.getAttribute("originalClassName");
			}
		}
		if (element1.originalClassName == undefined) {
			element2.className = element2.originalClassName;
			element2.originalClassName = undefined;
			element1.originalClassName = element1.className;
			element1.className = hiddenClassName
		} else if (element2.originalClassName == undefined) {
			element1.className = element1.originalClassName;
			element1.originalClassName = undefined;
			element2.originalClassName = element2.className;
			element2.className = hiddenClassName;
		}
	}
/*	
	if (element1 != null && element2 != null) {
		if (element1.getAttribute("style") != null && element1.getAttribute("style") != "") {
			element1.setAttribute("style", "");
			element2.setAttribute("style", "display:none");
		} else {
			element1.setAttribute("style", "display:none");
			element2.setAttribute("style", "");
		}
	}
*/
}

function toggleVisibilityElement(elementId, hiddenClassName){
	var element = document.getElementById(elementId);
	
	if(element != null){
		if(element.className == hiddenClassName){
			element.className = element.originalClassName;
			element.originalClassName = hiddenClassName;
		} else {
			element.originalClassName = element.className;
			element.className = hiddenClassName;
		}
	}
}


//function toggleVisibilityAll(hiddenClassName) {
//    var rootElement = document.getElementById('references');
//
//    var i=0;
//    for (i=0 ; i< rootElement.childNodes.length; i++) {
//        var elem = rootElement.childNodes[i];
//        if ((elem.id != undefined) && (elem.id).indexOf('reference-') != -1) {
//            var recno = elem.substr((elem.id).indexOf('reference-'));
//
//            toggleVisibility('reference-brief-'+recno, 'reference-detailed-'+recno, hiddenClassName);
//        }
//    }
//
//}


/**
 *
 *
 */
function toggleVisibilityChildren(rootElementId, elementId, hiddenClassName) {
    var rootElement = document.getElementById(rootElementId);
    var element = document.getElementById(elementId);

    var i=0;
    for (i=0 ; i< rootElement.childNodes.length; i++) {
        var elem = rootElement.childNodes[i];
        if ((elem.id != undefined) && (elem.id).indexOf('static-text-') != -1) {
            if ((elem.id) == elementId) {
                elem.className = element.getAttribute('originalClassName');
            } else {
                elem.className = hiddenClassName;
            }
        }
    }


}